zonelistparser.h File Reference
`#include "adapter/adapter.h"`
`#include "status.h"`
`#include <libxml/xpath.h>`
`#include <libxml/xmlreader.h>`

Go to the source code of this file.

## Functions

ods_status | parse_zonelist_zones (void *zlist, const char *zlfile)

## Function Documentation

## parse_zonelist_zones()

ods_status parse_zonelist_zones | ( | void * | zlist,
|  | const char * | zlfile
| ) |  |

extern

Parsing zonelist files. Parse the zonelist file.

Parameters

  [in] | zlist | zone list storage
  [in] | zlfile | zonelist file name

Returns
  ods_status status

Parse the zonelist file.

Definition at line 173 of file zonelistparser.c.

References zone_struct::adinbound, zone_struct::adoutbound, zone_struct::name, zone_struct::policy_name, zone_struct::signconf_filename, zone_cleanup(), zone_create(), and zonelist_add_zone().